Name:           ocaml-react
Version:        1.2.0
Release:        %mkrel 5
Summary:        OCaml module for Functional Reactive Programming (FRP)
License:        BSD
Group:          Development/OCaml
URL:            http://erratique.ch/software/react
Source0:        http://erratique.ch/software/react/releases/react-%{version}.tbz

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib

%description
React is an OCaml module for functional reactive programming (FRP).
It provides support to program with time varying values : applicative
events and signals. React doesn't define any primitive event or signal,
this lets the client chooses the concrete timeline.

React is made of a single, independent, module and distributed under
the new BSD license.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n react-%{version}

%build
ocaml pkg/build.ml native=true native-dynlink=true

%install
mkdir -p %{buildroot}/%{_libdir}/ocaml/react
cp _build/src/react.{cm{i,a,x,xa,xs},a,mli} %{buildroot}/%{_libdir}/ocaml/react
cp _build/pkg/META %{buildroot}/%{_libdir}/ocaml/react

%files
%doc README.md CHANGES.md
%dir %{_libdir}/ocaml/react
%{_libdir}/ocaml/react/META
%{_libdir}/ocaml/react/react.cmi
%{_libdir}/ocaml/react/react.cma
%{_libdir}/ocaml/react/react.cmxs

%files devel
%doc doc
%{_libdir}/ocaml/react/react.cmx
%{_libdir}/ocaml/react/react.cmxa
%{_libdir}/ocaml/react/react.a
%{_libdir}/ocaml/react/react.mli


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 1.2.0-5.mga6
+ Revision: 1056437
- Rebuild for fix in ocaml

* Mon Feb 01 2016 pterjan <pterjan> 1.2.0-4.mga6
+ Revision: 930640
- Rebuild for new ocaml

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-3.mga5
+ Revision: 746845
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-2.mga5
+ Revision: 683094
- Mageia 5 Mass Rebuild

  + malo <malo>
    - update to 1.2.0

* Sat Oct 19 2013 umeabot <umeabot> 0.9.4-7.mga4
+ Revision: 533927
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 blue_prawn <blue_prawn> 0.9.4-6.mga4
+ Revision: 475790
- rebuild for ocaml-4.01.0

* Sun Jan 13 2013 umeabot <umeabot> 0.9.4-5.mga3
+ Revision: 361584
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 malo <malo> 0.9.4-4.mga3
+ Revision: 308580
- rebuild for ocaml-4.0.1

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.4-3.mga3
+ Revision: 301072
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.9.4-2.mga3
+ Revision: 300290
- new rpm group for ocaml

* Mon Aug 06 2012 blue_prawn <blue_prawn> 0.9.4-1.mga3
+ Revision: 279333
- now needs findlib to build
- updated to last version 0.9.4
- updated to last version 0.9.4
- updated to last version 0.9.4
- update to new version 0.9.3

* Wed Dec 21 2011 malo <malo> 0.9.2-4.mga2
+ Revision: 185380
- spec clean-up
- imported package ocaml-react


* Fri Sep 16 2011 Alexandre Lissy <alissy@mandriva.com> 0.9.2-3
+ Revision: 700028
- Release bump, rebuilding against latest ocaml

* Wed Oct 06 2010 Funda Wang <fwang@mandriva.org> 0.9.2-2mdv2011.0
+ Revision: 583707
- rebuild

* Thu Aug 12 2010 Florent Monnier <blue_prawn@mandriva.org> 0.9.2-1mdv2011.0
+ Revision: 569281
- updated version

* Thu Apr 22 2010 Florent Monnier <blue_prawn@mandriva.org> 0.9.1-1mdv2010.1
+ Revision: 537968
- updated to version 0.9.1

* Tue Aug 11 2009 Florent Monnier <blue_prawn@mandriva.org> 0.9.0-1mdv2010.0
+ Revision: 414502
- buildrequires ocaml, and cmxs now supported
- import ocaml-react

